# SocketHTTPProxy Class Reference

`#include <SocketHTTPProxy.hh>`

Inheritance diagram for SocketHTTPProxy:

[legend]

List of all members.

## Public Member Functions
| SocketHTTPProxy ()
virtual | ~SocketHTTPProxy ()
virtual void | createConnection (const char *server_name, unsigned int port) throw (NetworkError)
## Protected Member Functions
int | sendHTTPConnect (const char *addr, in_port_t port)
size_t | receiveLine (char *Buffer, size_t maxSize) throw (NetworkError, NetworkSignal)

## Detailed Description

Definition at line 27 of file SocketHTTPProxy.hh.

## Constructor & Destructor Documentation

SocketHTTPProxy | ( |  | ) |

Definition at line 95 of file SocketHTTPProxy.cc.

~SocketHTTPProxy | ( |  | ) | `[virtual]`

Definition at line 100 of file SocketHTTPProxy.cc.

## Member Function Documentation

void createConnection | ( | const char * | server_name,
|  | unsigned int | port |
| ) |  |  | throw (NetworkError)`[virtual]`

Reimplemented from SocketTCP.

Definition at line 106 of file SocketHTTPProxy.cc.

References SocketTCP::createConnection(), certi::D, PrettyDebug::Out(), pdTrace, and SocketHTTPProxy::sendHTTPConnect().

Here is the call graph for this function:

int sendHTTPConnect | ( | const char * | addr,
|  | in_port_t | port |
| ) |  |  | `[protected]`

Definition at line 141 of file SocketHTTPProxy.cc.

References certi::D, PrettyDebug::Out(), pdDebug, pdTrace, SocketHTTPProxy::receiveLine(), SocketTCP::send(), and SocketTCP::timeoutTCP().

Referenced by SocketHTTPProxy::createConnection().

Here is the call graph for this function:

size_t receiveLine | ( | char * | Buffer,
|  | size_t | maxSize |
| ) |  |  | throw (NetworkError, NetworkSignal)`[protected]`

Definition at line 197 of file SocketHTTPProxy.cc.

References certi::D, PrettyDebug::Out(), pdExcept, SocketTCP::RcvdBytesCount, and SocketTCP::returnSocket().

Referenced by SocketHTTPProxy::sendHTTPConnect().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- SocketHTTPProxy.hh
- SocketHTTPProxy.cc